For the complete documentation index, see llms.txt. This page is also available as Markdown.

Output Commands

All of the commands found here are related to the output of your project, allowing you to configure specific streaming destinations or specific types of output.

getOutputDevice

get
/api/command/getOutputDevice

Get the current video format settings.

Responses
200

successful operation

application/json
get
/api/command/getOutputDevice

getStreamHostServer

get
/api/command/getStreamHostServer

Get information on the current stream..

Responses
200

successful operation

application/json
get
/api/command/getStreamHostServer

setOutputDevice

get
/api/command/setOutputDevice

Set the current device to use for channel output. NOTE: only some products allow you to set different output devices for different channels.

Because this endpoint doesn't use any variables, it can also be accessed using a GET request.

Query parameters
devicestringOptional

the name of the output device to use, i.e. NDI

channelsstringOptional

optional: comma-separated list of channel indexes to connect to this device

Responses
200

successful operation

application/json
get
/api/command/setOutputDevice

setStreamHostServers

get
/api/command/setStreamHostServers

Set the container format for the stream..

Query parameters
containerFormatstringOptional

RTMP for now

Responses
200

successful operation

application/json
get
/api/command/setStreamHostServers

startStreaming

get
/api/command/startStreaming

Start an RTMP stream.

Query parameters
choicestringOptional

Service name, like "Facebook"

serverUrlstringOptional

rtmp(s) server url

streamKeystringOptional

stream key for the rtmp server

Responses
200

successful operation

application/json
get
/api/command/startStreaming

stopStreaming

get
/api/command/stopStreaming

Stop the RTMP stream.

Responses
200

successful operation

application/json
get
/api/command/stopStreaming

Last updated